#title           :Archived Website Downloader
#description     :This script will create a full local backup of an archived website at web.archive.org, 			  converting to local links as well as deleting archive.org html code.
#author		 :Brad Rourke
#date            :20130915
#version         :0.6    
#usage		 :./archivedsitedownloader.sh [url of site to backup] [output dir]
#		 :Levels=Levels of recursion for wget
#
#notes           :Install wget and sed to use this script.
#bash_version    :4.2.25(1)-release (x86_64-pc-linux-gnu)

Levels="5"

SiteURL="$1"
DownloadDir="$2"

if [ -z "$DownloadDir" ]; then

	wget -e robots=off --tries=1 -r -nc -l $Levels -k -p --domains=web.archive.org $SiteURL


	for D in $(find "$PWD" -type d ); do cd $D;

	for i in *.html; do
  		sed -i /Start\ Wayback\ Rewrite/,/End\ Wayback\ Rewrite/d $i
  		sed -i /BEGIN\ WAYBACK\ TOOLBAR/,/END\ WAYBACK\ TOOLBAR/d $i
  		echo "Fixing HTML code."
	done 

	done

else
	wget -P "$DownloadDir" -e robots=off --tries=1 -r -nc -l $Levels -k -p --domains=web.archive.org $SiteURL


	for D in $(find "$DownloadDir" -type d ); do cd $D;

	for i in *.html; do
  		sed -i /Start\ Wayback\ Rewrite/,/End\ Wayback\ Rewrite/d $i
  		sed -i /BEGIN\ WAYBACK\ TOOLBAR/,/END\ WAYBACK\ TOOLBAR/d $i
  		echo "Fixing HTML code."
	done 

	done

fi
